﻿using System;
namespace ObjectAuthenticator.Ejm1
{
    /// <summary>
    /// Es el Object Authenticator 
    /// </summary>
    public class OrderAuthenticator : OrderIF
    {
        //Codigo de acceso, enviado por AuthManager
        private String AccessCode;
        //Codigo del cliente, enviado por el objeto Cliente
        private String ClientCode;

        public OrderAuthenticator(String aCode, String cCode)
        {
            AccessCode = aCode;
            ClientCode = cCode;
        }

        public void Create(String item, int qty)
        {
            if (ClientCode.Equals(AccessCode))
            {
                Order ord = new Order();
                ord.Create(item, qty);
            }
            else
            {
                throw new UnAuthorizedUserException();
            }
        }
    }
}
